using System;
using NUnit.Framework;
using System.IO;

namespace SharpSword.IntergrationTests
{
   [SetUpFixture]
   public class SetupTests
   {
      internal static readonly string SWORD_APPDATA = ModuleManager.GetSwordAppDataPath();
      internal static readonly string SWORD_MODD = Path.Combine (SWORD_APPDATA, "mods.d");

      [SetUp]
      public void Setup()
      {
         var moduleManager = ModuleManager.Instance;
         var configFile = Path.Combine(SWORD_MODD, "esv.conf");
         if(File.Exists (configFile))
         {
            File.Delete (configFile);
         }
         var moduleFolder = Path.Combine (SWORD_APPDATA, "modules", "texts", "ztext", "esv");
         if(Directory.Exists(moduleFolder))
         {
            Directory.Delete(moduleFolder, true);
         }

         //Act
         moduleManager.InstallModule("esv");
      }
   }
}

