using System;
using NUnit.Framework;
using System.Linq;

namespace SharpSword.IntergrationTests
{
   public class TestFixtureBase
   {
      protected IBibleModule _bibleModule;

      [TestFixtureSetUp]
      public void FixtureSetup()
      {
         var moduleManager = ModuleManager.Instance;
         if(!moduleManager.InstalledModules().Any(module => module.Name.ToLower () == "esv"))
         {
            moduleManager.InstallModule("esv");
         }

         _bibleModule = moduleManager.GetModule("esv");
      }

      [TestFixtureTearDown]
      public void FixtureTearDown()
      {
         _bibleModule.Dispose();
      }
   }
}

