using System;
using System.Collections.Generic;
using NUnit.Framework;

namespace SharpSword.Tests
{
   public class FuncMock<I,O>
   {
      Dictionary<I,O> _dictionary;

      public FuncMock ()
      {
         _dictionary = new Dictionary<I, O>();
      }

      public FuncMock<I,O> Add(I input, O output)
      {
         _dictionary.Add(input, output);
         return this;
      }

      public Func<I,O> Object
      {
         get
         {
            return input =>
            {
               O output;
               if(_dictionary.TryGetValue(input, out output))
               {
                  return output;
               }
               Assert.Fail("unexpected input to Func");
               return default(O);
            };
         }
      }
   }
}

