using System;
using NUnit.Framework;

namespace SharpSword.Tests
{
   [TestFixture]
   public class VerseTests
   {
      [Test]
      public void Identifier_Construct_ReturnsCorrectIdentifier()
      {
         //arrange
         var verseIdentifier = new VerseIdentifier("John", 3, 16);
         string text =  "For God so loved the world, that he gave his only begotten Son, that whosoever believeth in him should not perish, but have everlasting life.";
         Verse verse = new Verse(verseIdentifier, text);

         //act
         var identifierReturned = verse.Identifier;

         //assert
         Assert.That (identifierReturned, Is.EqualTo(verseIdentifier));
      }

      [Test]
      public void Text_Construct_ReturnsCorrectText()
      {
         //arrange
         var verseIdentifier = new VerseIdentifier("John", 3, 16);
         string text =  "For God so loved the world, that he gave his only begotten Son, that whosoever believeth in him should not perish, but have everlasting life.";
         Verse verse = new Verse(verseIdentifier, text);

         //act
         var textReturned = verse.Text;

         //assert
         Assert.That (textReturned, Is.EqualTo(text));
      }
   }
}

