using System;
using NUnit.Framework;

namespace SharpSword.Tests
{
   [TestFixture]
   public class VersificationManagerTests
   {
      [Test]
      public void GetVersification_Kjv_ReturnsVersification()
      {
         //arrange
         var versificationManager = VersificationManager.Instance;

         //act
         IVersification versification = versificationManager.GetVersification("kjv");

         //assert
         Assert.That(versification, Is.TypeOf<KjvVersification>());
      }

      [Test]
      [ExpectedException(typeof(NotImplementedException))]
      public void GetVersification_UnknownVersification_ThrowsNotImplementedException()
      {
         //arrange
         var versificationManager = VersificationManager.Instance;

         //act
         versificationManager.GetVersification("unknown");
      }

      [Test]
      public void Instance_CalledTwice_SameInstance()
      {
         //act
         var versificationManagerOne = VersificationManager.Instance;
         var versificationManagerTwo = VersificationManager.Instance;

         //assert
         Assert.That(versificationManagerOne, Is.EqualTo(versificationManagerTwo));
      }
   }
}

