using System;
using Lucene.Net.Search;

namespace SharpSword
{
   public class BookCountCollector : Lucene.Net.Search.Collector
   {
      IndexSearcher _searcher;
      uint[] _bookFrequencies;

      public BookCountCollector (IndexSearcher searcher)
         : base()
      {
         _searcher = searcher;
         _bookFrequencies = new uint[66];
      }

      #region implemented abstract members of Lucene.Net.Search.Collector
      public override void SetScorer (Lucene.Net.Search.Scorer scorer)
      {

      }

      public override void Collect (int doc)
      {
         uint book = uint.Parse(_searcher.Doc(doc).GetField("book").StringValue);
         _bookFrequencies[book]++;
      }

      public uint[] Frequencies
      {
         get
         {
            return _bookFrequencies;
         }
      }

      public override void SetNextReader (Lucene.Net.Index.IndexReader reader, int docBase)
      {
         //throw new NotImplementedException ();
      }

      public override bool AcceptsDocsOutOfOrder
      {
         get
         {
            return true;
         }
      }
      #endregion
   }
}

