using System;
using System.IO;
using ICSharpCode.SharpZipLib.GZip;
using ICSharpCode.SharpZipLib.Tar;

namespace SharpSword
{
   internal class FileWrapper : IFile
   {
      public FileStream OpenRead(string path)
      {
         return File.OpenRead(path);
      }

      public void ExtractGZip(string sourceFile, string destFile)
      {
         using (var fileStream = OpenRead(sourceFile))
         using (var gzipStream = new GZipInputStream(fileStream))
         {
            var tarArchive = TarArchive.CreateInputTarArchive (gzipStream);
            tarArchive.ExtractContents (destFile);
         }
      }

      public void Move (string sourceFileName, string destFileName)
      {
         File.Move (sourceFileName, destFileName);
      }
   }
}

