using System;

namespace SharpSword.Formatters
{
   public static class FormattersManager
   {
      private static IFormatter _plain;
  
      /// <summary>
      /// Gets the plain formatter this is a singleton,
      /// any changes you make to it's formatting options will still be
      /// present when you ask for it again.
      /// </summary>
      public static IFormatter Plain
      {
         get
         {
            if(_plain == null)
            {
               _plain = new PlainFormatter();
            }
            return _plain;
         }
      }
      
      private static IFormatter _html;
  
      /// <summary>
      /// Gets the plain formatter this is a singleton,
      /// any changes you make to it's formatting options will still be
      /// present when you ask for it again.
      /// </summary>
      public static IFormatter Html
      {
         get
         {
            if(_html == null)
            {
               _html = new HtmlFormatter();
            }
            return _html;
         }
      }
   }
}

