using System;
using System.Net;
using System.Collections.Generic;
using System.IO;

namespace SharpSword
{
   class Ftp : IFtp
   {
      internal Ftp()
      {
      }

      public void DownloadFile (string address, string fileName)
      {
         using (var client = new WebClient())
         {
            client.DownloadFile (address, fileName);
         }
      }

      public IEnumerable<string> GetFiles(string address)
      {
         FtpWebRequest reqFTP = (FtpWebRequest)FtpWebRequest.Create (new Uri (address));
         reqFTP.Method = WebRequestMethods.Ftp.ListDirectory;
         reqFTP.Proxy = GlobalProxySelection.GetEmptyWebProxy();
         using (WebResponse response = reqFTP.GetResponse())
         using (StreamReader reader = new StreamReader(response.GetResponseStream()))
         {
            while (!reader.EndOfStream)
            {
               yield return reader.ReadLine();
            }
         }
      }
   }
}

