using System;
using System.Collections.Generic;
using SharpSword.reader;

namespace SharpSword
{
   interface ILuceneIndex : IDisposable
   {
      IEnumerable<VerseIdentifier> Search (string searchTerm, string book, int start, int numberOfHits);

      IEnumerable<VerseIdentifier> Search (string searchTerm, int start, int numberOfHits);

      void GenerateIndex (IBibleModule bibleModule, IVersificationInternal versification);

      IDictionary<string, int> GetBookFrequencies(string searchTerm);
   }
}

