// SharpSword C# library for accessing sword modules
// Copyright (C) 2013  Daniel Hughes
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
using System;

namespace SharpSword
{
   /// <summary>
   /// Represents a verse and provides access to it's contents
   /// </summary>
   internal class Verse : IVerse
   {
      internal Verse (IVerseIdentifier verseIdentifier, string verseText)
      {
         Identifier = verseIdentifier;
         Text = verseText;
      }

      /// <summary>
      /// Gets the VerseIdentifier specifing the book, chapter and verse number.
      /// </summary>
      public IVerseIdentifier Identifier
      {
         get;
         private set;
      }

      /// <summary>
      /// Gets bible text contained in this verse.
      /// </summary>
      public string Text
      {
         get;
         private set;
      }
   }
}

