﻿#region Header

// <copyright file="CommentZtextReader.cs" company="Thomas Dilts">
//
// CrossConnect Bible and Bible Commentary Reader for CrossWire.org
// Copyright (C) 2011 Thomas Dilts
//
// This program is free software: you can redistribute it and/or modify
// it under the +terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see http://www.gnu.org/licenses/.
// </copyright>
// <summary>
// Email: thomas@cross-connect.se
// </summary>
// <author>Thomas Dilts</author>

#endregion Header

namespace SharpSword.reader
{
    using System.Runtime.Serialization;

   /// <summary>
   ///   Load from a file all the book and verse pointers to the bzz file so that
   ///   we can later read the bzz file quickly and efficiently.
   /// </summary>
   [DataContract(Name = "CommentZtextReader")]
   [KnownType(typeof(ChapterPos))]
   [KnownType(typeof(BookPos))]
   [KnownType(typeof(VersePos))]
   class CommentZtextReader : BibleZtextReader
   {
        #region Constructors

      /// <summary>
      ///   Load from a file all the book and verse pointers to the bzz file so that
      ///   we can later read the bzz file quickly and efficiently.
      /// </summary>
      /// <param name = "path">The path to where the ot.bzs,ot.bzv and ot.bzz and nt files are</param>
      /// <param name="iso2DigitLangCode"></param>
      /// <param name="isIsoEncoding"></param>
      public CommentZtextReader (string path, string iso2DigitLangCode, bool isIsoEncoding)
            : base(path, iso2DigitLangCode, isIsoEncoding, "kjv")
      {
      }

        #endregion Constructors

        #region Properties

      public override bool IsHearable
      {
         get { return false; }
      }

      public override bool IsTranslateable
      {
         get { return true; }
      }

        #endregion Properties
   }
}